﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DEVSsharp;

namespace NebeskaTela
{
    class Program
    {
        static void Main(string[] args)
        {
            SRTEngine engine = new SRTEngine(new Sistem("s"), 10000, Ulaz);
            engine.RunConsoleMenu();
        }

        public static PortValue Ulaz(Devs model)
        {
            Sistem s = (Sistem)model;
            if(s != null)
            {
                var ulaz = Console.ReadLine().Split(' ');

                KometaPoruka kp = new KometaPoruka(new Vektor(double.Parse(ulaz[1]), double.Parse(ulaz[2])), new Vektor(double.Parse(ulaz[3]), double.Parse(ulaz[4])), ulaz[0]);
                kp.eps = double.Parse(ulaz[5]);

                return new PortValue(s.inputPortKometaPoruka, kp);
            }

            return new PortValue(null, null);
        }
    }
}
